package com.zd.exam.service;

import com.zd.exam.domain.ElPassMarkconfig;
import com.zd.exam.domain.vo.ElPassMarkconfigVO;

import java.util.List;

/**
 * 信用合格分设置Service接口
 *
 * @author zd
 * @date 2021-12-14
 */
public interface IElPassMarkconfigService
{
    /**
     * 查询信用合格分设置
     *
     * @param id 信用合格分设置主键
     * @return 信用合格分设置
     */
    public ElPassMarkconfig selectElPassMarkconfigById(Long id);

    /**
     * 查询信用合格分设置列表
     *
     * @param elPassMarkconfig 信用合格分设置
     * @return 信用合格分设置集合
     */
    public List<ElPassMarkconfigVO> selectElPassMarkconfigList(ElPassMarkconfig elPassMarkconfig);

    /**
     * 新增信用合格分设置
     *
     * @param elPassMarkconfig 信用合格分设置
     * @return 结果
     */
    public int insertElPassMarkconfig(ElPassMarkconfig elPassMarkconfig);

    /**
     * 新增信用合格分和详情
     *
     * @param elPassMarkconfigVO 新增信用合格分和详情
     * @return 结果
     */
    public int addPassMark(ElPassMarkconfigVO elPassMarkconfigVO);

    /**
     * 修改信用合格分设置
     *
     * @param elPassMarkconfig 信用合格分设置
     * @return 结果
     */
    public int updateElPassMarkconfig(ElPassMarkconfig elPassMarkconfig);

    /**
     * 修改信用合格分和详情
     *
     * @param elPassMarkconfigVO 修改信用合格分和详情
     * @return 结果
     */
    public int editPassMark(ElPassMarkconfigVO elPassMarkconfigVO);

    /**
     * 批量删除信用合格分设置
     *
     * @param ids 需要删除的信用合格分设置主键集合
     * @return 结果
     */
    public int deleteElPassMarkconfigByIds(Long[] ids);

    /**
     * 删除信用合格分设置信息
     *
     * @param id 信用合格分设置主键
     * @return 结果
     */
    public int deleteElPassMarkconfigById(Long id);
}
